/* 
 * This file is part of the Alliance CAD System
 * Copyright (C) Laboratoire LIP6 - Dpartement ASIM
 * Universite Pierre et Marie Curie
 * 
 * Home page          : http://www-asim.lip6.fr/alliance/
 * E-mail support     : mailto:alliance-support@asim.lip6.fr
 * 
 * This library is free software; you  can redistribute it and/or modify it
 * under the terms  of the GNU Library General Public  License as published
 * by the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 * 
 * Alliance VLSI  CAD System  is distributed  in the hope  that it  will be
 * useful, but WITHOUT  ANY WARRANTY; without even the  implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy  of the GNU General Public License along
 * with the GNU C Library; see the  file COPYING. If not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
 
/****************************************************************************/
/*                                                                          */
/*                      Chaine de CAO & VLSI   Alliance                     */
/*                                                                          */
/*    Produit : Icon Library                                                */
/*    Fichier : Icuxxx.h (icon util definition)                             */
/*                                                                          */
/*    (c) copyright 1991 Laboratoire MASI equipe CAO & VLSI                 */
/*    Tous droits reserves                                                  */
/*    Support : e-mail cao-vlsi@masi.ibp.fr                                 */
/*                                                                          */
/*    Auteur(s) : Vincent POUILLEY                      le : 09/08/1993     */
/*                                                                          */
/*    Modifie par :                                     le : ../../....     */
/*    Modifie par :                                     le : ../../....     */
/*    Modifie par :                                     le : ../../....     */
/*                                                                          */
/*    $Id: icu.h,v 1.1.1.1 1998/10/02 15:25:02 alliance Exp $                    */
/*                                                                          */
/****************************************************************************/


#ifndef __ICON_UTIL_H__
#define __ICON_UTIL_H__

#ifndef _ICON_UTIL_C_

#ifdef __STDC__

extern IconGate_list * loadicon(char * name);
extern int saveicon(IconGate_list * icon_gate);
extern void update_icon(IconGate_list * icon_gate);
extern void rescale_icon (IconGate_list * icon_gate, int con_ecart, int min_width, int min_height);
extern int restoredirvbe_icon(IconGate_list * icon_gate);

#else /* __STDC__ */

extern IconGate_list * loadicon();
extern int saveicon();
extern void update_icon ();
extern void rescale_icon ();
extern int restoredirvbe_icon();

#endif /* __STDC__ */

#else /* _ICON_UTIL_C_ */
#ifdef __STDC__

IconGate_list * loadicon(char * name);
int saveicon(IconGate_list * icon_gate);
void update_icon (IconGate_list * icon_gate);
void rescale_icon (IconGate_list * icon_gate, int con_ecart, int min_width, int min_height);
int restoredirvbe_icon(IconGate_list * icon_gate);

#endif /* __STDC__ */
#endif /* _ICON_UTIL_C_ */

#endif /*__ICON_UTIL_H__*/
